Skip to main content
GET
/
api
/
v2
/
affiliate
/
aff-billing
/
payment-methods
List payment methods
curl --request GET \
  --url 'https://{domain}/api/v2/affiliate/aff-billing/payment-methods/?api-key='
{
  "status": "success",
  "code": 200,
  "name": "OK",
  "message": "<string>",
  "info": {
    "affiliates-payments-methods": [
      {
        "id": 123,
        "affiliate_id": 123,
        "payment_method": {
          "id": 123,
          "title": "<string>",
          "status": 123,
          "supported_currencies": "<string>",
          "payment_threshold": "<string>",
          "payment_threshold_currency": "<string>",
          "payment_commission": "<string>",
          "payment_method_logo": "<string>",
          "sort": 123,
          "created": 123,
          "updated": 123,
          "updated_by": "<string>",
          "metadata": {
            "show_warning": true,
            "changed_at": 123,
            "changed_by": "<string>"
          }
        },
        "payment_method_info": "<string>",
        "payment_method_threshold_converted": "<string>",
        "currency": "<string>",
        "approved_balance": 123,
        "balance_due": 123,
        "next_interval_date": "<string>",
        "paymentRequest": {
          "isAllowed": true
        },
        "canEdit": true
      }
    ]
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.scaleo.io/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

api-key
string
query
required

API key passed as query parameter. User must have api_status enabled.

Response

Payment methods list.

status
string
Example:

"success"

code
integer
Example:

200

name
string
Example:

"OK"

message
string
info
object